groups:
    main_models:
        exclusive: false
        members:
            - qwen3.5-35b-a3b
            - nanbeige-reasoner
            - Nemotron-3-Nano-30B-A3B-UD-Q6_K_XL
        persistent: true
        swap: false
    ouroboros:
        exclusive: false
        members:
            - embeddinggemma-300m
            - heretic
            - qwen3.5-27b
            - qwen3.24b-heretic-neo
            - cydonia-24b
            - qwen35-claude-reasoning
        persistent: true
        swap: false
    vision:
        exclusive: false
        members:
            - ouroboros-eye
            - qwen3.5-27b-vision
        persistent: true
        swap: false
macros:
    llama-server: /mnt/storage/llama.cpp-nemotron/build/bin/llama-server
models:
    qwen3.5-35b-a3b:
        cmd: \${llama-server} --model /mnt/storage/gguf-models/Qwen3.5-35B-A3B-UD-Q4_K_L.gguf --port \${PORT} --n-gpu-layers 99 --ctx-size 1000000 --threads 20 --batch-size 512 --ubatch-size 512 --flash-attn on --cont-batching --host 0.0.0.0 --chat-template-file /home/crogers2287/llama-swap/qwen35-unsloth.jinja --mmproj /mnt/storage/gguf-models/mmproj-F16.gguf --split-mode row --tensor-split 0.5,0.5 -ctk q8_0 -ctv q8_0 --reasoning-budget 0 --reasoning-format none --no-mmap --rope-scaling yarn --rope-scale 4 --yarn-orig-ctx 262144
        metadata:
            backend: llamacpp
            displayName: Qwen3.5 35B-A3B UD Q4_K_L (MoE, 200K, Vision)
            isVision: true
        proxy: http://localhost:\${PORT}
    nanbeige-reasoner:
        cmd: \${llama-server} --model /mnt/storage/ollama/gguf-models/Nanbeige4.1-3B.Q6_K.gguf --port \${PORT} --n-gpu-layers 99 --ctx-size 32768 --threads 8 --batch-size 2048 --flash-attn on --cont-batching --main-gpu 1 --split-mode none --host 0.0.0.0 --jinja --chat-template-file /home/crogers2287/llama-swap/nanbeige-nothink.jinja -ctk q8_0 -ctv q8_0
        metadata:
            backend: llamacpp
            displayName: Nanbeige 4.1 3B Q6_K (Reasoner)
        proxy: http://localhost:\${PORT}
    Nemotron-3-Nano-30B-A3B-UD-Q6_K_XL:
        cmd: \${llama-server} --model /mnt/storage/ollama/gguf-models/Nemotron-3-Nano-30B-A3B-UD-Q6_K_XL.gguf --port \${PORT} --n-gpu-layers 100 --ctx-size 32768 --threads 8 --batch-size 2048 --flash-attn on --cont-batching --main-gpu 0 --host 0.0.0.0 --jinja --no-mmap -ctk q8_0 -ctv q8_0 --reasoning-budget 0 --reasoning-format none
        metadata:
            backend: llamacpp
            displayName: Nemotron-3-Nano-30B-A3B-UD-Q6_K_XL
            isTemporary: false
        proxy: http://localhost:\${PORT}
    embeddinggemma-300m:
        cmd: /home/crogers2287/llama-swap/embed-wrapper.sh --model /mnt/storage/ollama/gguf-models/embeddinggemma-300M-Q8_0.gguf --port \${PORT} --n-gpu-layers 0 --ctx-size 32768 --threads 8 --batch-size 128 --cont-batching --host 0.0.0.0 --embedding --pooling mean
        concurrencyLimit: 100
        metadata:
            backend: llamacpp
            displayName: EmbeddingGemma 300M Q8_0
            isEmbedding: true
        proxy: http://localhost:\${PORT}
    heretic:
        cmd: \${llama-server} --model /mnt/storage/ollama/gguf-models/Llama3.3-8B-Instruct-Thinking-Heretic-Uncensored-Claude-4.5-Opus-High-Reasoning.Q6_K.gguf --port \${PORT} --n-gpu-layers 35 --ctx-size 32768 --threads 16 --batch-size 2048 --flash-attn on --cont-batching --host 0.0.0.0 --jinja
        metadata:
            backend: llamacpp
            displayName: Llama3.3 8B Heretic (Uncensored Reasoning)
        proxy: http://localhost:\${PORT}
    nvidia-orchestrator-8b:
        cmd: \${llama-server} --model /mnt/storage/ollama/gguf-models/nvidia_Orchestrator-8B-Q8_0.gguf --port \${PORT} --n-gpu-layers 100 --ctx-size 32768 --threads 8 --batch-size 512 --flash-attn on --cont-batching --main-gpu 0 --host 0.0.0.0 --jinja --no-mmap -ctk q8_0 -ctv q8_0
        metadata:
            backend: llamacpp
            displayName: NVIDIA Orchestrator 8B (Task Planning)
            isTemporary: false
        proxy: http://localhost:\${PORT}
    ouroboros-eye:
        cmd: \${llama-server} --model /mnt/storage/ollama/gguf-models/Qwen3-VL-2B-Instruct-1M-Q8_0.gguf --port \${PORT} --n-gpu-layers 99 --ctx-size 32768 --threads 4 --batch-size 256 --flash-attn on --cont-batching --main-gpu 1 --host 0.0.0.0 --jinja --mmproj /mnt/storage/ollama/gguf-models/mmproj-Qwen3VL-2B-Instruct-Q8_0.gguf -ctk q8_0 -ctv q8_0
        metadata:
            backend: llamacpp
            displayName: Ouroboros Eye (Qwen3-VL-2B Vision)
            isVision: true
        proxy: http://localhost:\${PORT}
    glm-4.7-flash:
        cmd: \${llama-server} --model /mnt/storage/ollama/gguf-models/GLM-4.7-Flash-Q6_K.gguf --port \${PORT} --n-gpu-layers 999 --ctx-size 32768 --threads 8 --batch-size 2048 --flash-attn on --cont-batching --host 0.0.0.0 --jinja --split-mode layer --tensor-split 0.5,0.5 -ctk q8_0 -ctv q8_0 --reasoning-budget 0 --reasoning-format none
        metadata:
            backend: llamacpp
            displayName: GLM-4.7-Flash Q6_K (64K Context)
        proxy: http://localhost:\${PORT}
    glm47reap:
        cmd: \${llama-server} --model /home/crogers2287/models/GLM-4.7-Flash-REAP-23B-A3B-Q6_K.gguf --port \${PORT} --n-gpu-layers 100 --ctx-size 32768 --threads 8 --batch-size 2048 --flash-attn on --cont-batching --host 0.0.0.0 --jinja --split-mode layer --tensor-split 0.5,0.5 -ctk q8_0 -ctv q8_0 --reasoning-budget 0 --reasoning-format none
        metadata:
            backend: llamacpp
            displayName: GLM-4.7-Flash REAP 23B-A3B Q6_K (128K)
        proxy: http://localhost:\${PORT}
    qwen3.5-27b:
        cmd: \${llama-server} --model /mnt/storage/ollama/gguf-models/Qwen3.5-27B-Q4_K_M.gguf --port \${PORT} --n-gpu-layers 999 --ctx-size 32768 --threads 8 --batch-size 2048 --flash-attn on --cont-batching --host 0.0.0.0 --jinja --split-mode layer --tensor-split 0.5,0.5 -ctk q8_0 -ctv q8_0 --reasoning-budget 0 --reasoning-format none
        metadata:
            backend: llamacpp
            displayName: Qwen3.5 27B Q4_K_M (64K Context)
            isVision: false
        proxy: http://localhost:\${PORT}
    qwen3.5-27b-vision:
        cmd: \${llama-server} --model /mnt/storage/ollama/gguf-models/Qwen3.5-27B-Q4_K_M.gguf --port \${PORT} --n-gpu-layers 999 --ctx-size 32768 --threads 8 --batch-size 2048 --flash-attn on --cont-batching --host 0.0.0.0 --jinja --mmproj /mnt/storage/ollama/gguf-models/Qwen3.5-27B-mmproj-F16.gguf --split-mode layer --tensor-split 0.5,0.5 -ctk q8_0 -ctv q8_0
        metadata:
            backend: llamacpp
            displayName: Qwen3.5 27B Vision Q4_K_M (32K)
            isVision: true
        proxy: http://localhost:\${PORT}
    cydonia-24b:
        cmd: \${llama-server} --model /mnt/storage/ollama/gguf-models/TheDrummer_Cydonia-24B-v4.1-Q6_K_L.gguf --port \${PORT} --n-gpu-layers 999 --ctx-size 32768 --threads 8 --batch-size 2048 --flash-attn on --cont-batching --host 0.0.0.0 --jinja --split-mode layer --tensor-split 0.5,0.5 -ctk q8_0 -ctv q8_0
        metadata:
            backend: llamacpp
            displayName: Cydonia 24B v4.1 Q6_K_L (32K)
        proxy: http://localhost:\${PORT}
    qwen3.24b-heretic-neo:
        cmd: \${llama-server} --model /mnt/storage/ollama/gguf-models/Qwen3-24B-A4B-Freedom-Think-Ablit-Heretic-Neo-D_AU-Q6_K-imat.gguf --port \${PORT} --n-gpu-layers 100 --ctx-size 32768 --threads 8 --batch-size 1024 --flash-attn on --cont-batching --host 0.0.0.0 --jinja -ctk q8_0 -ctv q8_0
        metadata:
            backend: llamacpp
            displayName: Qwen3.24B Heretic NEO (Uncensored Reasoning)
        proxy: http://localhost:\${PORT}
    qwen35-claude-reasoning:
        cmd: \${llama-server} --model /home/crogers2287/models/Qwen3.5-27B-Claude-4.6-Opus-Reasoning-Distilled.Q4_K_M.gguf --port \${PORT} --n-gpu-layers 999 --ctx-size 32768 --threads 8 --batch-size 2048 --flash-attn on --cont-batching --host 0.0.0.0 --jinja --split-mode layer --tensor-split 0.5,0.5 -ctk q8_0 -ctv q8_0
        metadata:
            backend: llamacpp
            displayName: Qwen3.5 27B Claude Opus Reasoning Distilled Q4_K_M
        proxy: http://localhost:\${PORT}
